/* Hero section styles */
.hero--wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column-reverse;
    gap: 5rem;
}

.hero--left--wrapper {
    max-width: 350px;
}

.hero--imgWrapper {
    max-width: 400px;
    width: 80%;
    margin: 0 auto;
}

.hero--heading {
    font-family: Poppins;
    font-weight: 600;
    line-height: 1.4em;
    text-align: center;
    font-size: 1.8rem;
    margin-bottom: 1.5rem;
    color: var(--black-1);
}

.hero--info {
    text-align: center;
    font-size: 1.4rem;
    margin-bottom: 1.5rem;
    color: var(--black-2);
}

.button--wrapper {
    text-align: center;
}

@media only screen and (min-width: 768px) {
    .hero--wrapper {
        flex-direction: row;
        gap: 0;
    }
    .hero--left {
        flex: 3;
    }
    .hero--right {
        flex: 4;
    }
    .hero--heading {
        font-size: 3.6rem;
        margin-bottom: 2rem;
        text-align: left;
    }
    .hero--info {
        margin-bottom: 2rem;
        text-align: left;
        font-size: 1.8rem;
    }
    .button--wrapper {
        text-align: left;
    }
    .hero--imgWrapper {
        max-width: none;
        width: 90%;
    }
}

@media only screen and (max-width: 900px) {
	.hero--left,
	.hero--right {
		flex: 1;
	}
}

/* Our Specials Section Style */
#ourSpecials {
    padding-top: 10rem;
}

.ourSpecials--wrapper {
    display: flex;
    flex-direction: column;
    gap: 3rem;

}

.ourSpecials--left {
    display: flex;
    gap: 1rem;
}

.ourSpecials--item {
    background-color: var(--lightGreen-1);
    padding: 1.2rem;
    padding-top: 5rem;
    border-radius: 12px;
    width: 45%;
    margin: 0 auto;
}

.ourSpecials--item--img {
    margin-top: calc(-50% - 2rem);
    margin-bottom: 2rem;
    border-radius: 12px;
    height: 150px;
    overflow: hidden;
}

.ourSpecials--item--img img {
    object-fit: cover;
}

.ourSpecials--item--title {
    font-size: 1.4rem;
    color: var(--black-1);
    font-weight: 600;
    margin-bottom: 1rem;
}

.ourSpecials--item--price {
    color: var(--green-1);
    font-size: 1.4rem;
    font-weight: 600;
    margin-bottom: 1rem;
}

.ourSpecials--item--stars {
    height: 1.5rem;
     width: max-content; /* the stars going over the roof*/
    margin-bottom: 1rem;
}

.ourSpecials--item--text {
    font-size: 1.4rem;
    color: var(--black-2);
    font-weight: 500;

}

.ourSpecials--title {
    font-size: 1.8rem;
    color: var(--black-1);
    margin-bottom: 1.5rem;
}

.ourSpecials--text {
    font-size: 1.4rem;
    color: var(--black-2);
    margin-bottom: 1rem;
}

@media only screen and (min-width: 768px) {
#ourSpecials {
    padding-top: 15rem;
}
#ourSpecials .container {
    max-width: 900px;
}
.ourSpecials--wrapper {
    flex-direction: row;
}
.ourSpecials--right {
    flex: 2;
}
.ourSpecials--left {
    flex: 4;
    gap: 2rem;
}
.ourSpecials--item {
    padding: 2rem;
    /* width: 45%; */

}
.ourSpecials--item--title {
    font-size: 2.4rem;
    line-height: 1.4em;
    margin-bottom: 1.5rem;  /* thats a good use of em on line height */
}
.ourSpecials--item--price {
    font-size: 1.8rem;
    margin-bottom: 1rem;
}
.ourSpecials--item--stars {
    margin-bottom: 2rem;

}
.ourSpecials--item--text {
    font-size: 1.6rem;

}
.ourSpecials--title{
    font-size: 3.6rem;
    margin-bottom: 1.5rem;
}
.ourSpecials--text {
    font-size: 1.8rem;
    margin-bottom: 1.5rem;
}
}

@media only screen and (max-width: 300px) {
    .ourSpecials--left {
        flex-wrap: wrap;
        gap: 10rem;
    }
    .ourSpecials--item {
        width: 100%;
    }
}

/* Discount styles start */
.discount--wrapper {
    display: flex;
    flex-direction: column;
    padding: 1.5rem;
    border-radius: 12px;
    background: var(--lightGreen-1) url(./images/discount-illustration.png) no-repeat bottom right / 100px;
}

.discount--images {
    display: flex;
    gap: 1rem;
    width: 100%;
    margin-bottom: 2rem;
}

.discount--img1 {
    flex: 2;
}

.discount--img2 {
    flex: 3;
}

.discount--images img {
    object-fit: cover;
    border-radius: 12px;
}

.discount--text {
    font-size: 1.4rem;
    font-weight: 900;
    color: var(--green-1);
    margin-bottom: 0.5rem;
}

.discount--title {
    font-size: 1.8rem;
    color: var(--black-1);
    font-weight: 600;
    margin-bottom: 1rem;
}

.discount--price {
    font-size: 1.4rem;
    font-weight: 600;
    display: flex;
    gap: 1rem;
    margin-bottom: 1rem;
}

.discount--oldPrice {
    color: var(--black-2);
    text-decoration: line-through;
}

.discount--newPrice {
    color: var(--green-1);
}

.discount--stars {
    width: max-content;
    height: 15px;
    margin-bottom: 1rem;
}
/* large device media query */
@media only screen and (min-width: 768px) {
    .discount--wrapper {
        flex-direction: row;
        gap: 4rem;
        padding: 2rem;
        align-items: center;
        background-size: 150px;
        margin: 0 auto;
    }
    .discount--images {
        flex: 5;
        margin-bottom: 0;
        gap: 2rem;
    }
    .discount--img1,
    .discount--img2,
    .discount--img3 {
        flex: 1;
        height: 350px;
    }
    .discount--info {
        flex: 3;
    }
    .discount--text {
        font-size: 2.4rem;
    }
    .discount--title {
        font-size: 3.6rem;
        margin-bottom: 1.5rem;
    }
    .discount--price {
        font-size: 2.4rem;
    }
    .discount--stars {
        height: 20px;
        margin-bottom: 2rem;
    }
}

/* small device media query */
@media only screen and (max-width: 1000px) {
    .discount--wrapper {
        gap: 2rem;
    }
    .discount--img3 {
        display: none;
    }
}
/* Discount styles end*/

/* Start Events media section style  */
.eventsMedia--wrapper {
    display: flex;
    gap: 1rem;
}

.eventsMedia--1 {
    position: relative;
}

.eventsMedia--1--playButton {
    display: inline-block;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    max-width: 50px;
}

@media only screen and (min-width: 768px) {
    .eventsMedia--wrapper {
        gap: 2rem;
    }
    .eventsMedia--1--playButton {
        max-width: 100px;
    }
}
/* End Events media section style  */

/*  Start Events Info section style */
#eventsInfo {
    padding-top: 0;
}

.eventsInfo--wrapper {
    display: flex;
    flex-direction: column;
}

.eventsInfo--item {
    display: flex;
    gap: 2rem;
    padding: 1rem;
    background: var(--lightGreen-1);
    margin-bottom: 1.5rem;
    border-radius: 12px;
}

.eventsInfo--item--img {
    border-radius: 12px;
    overflow: hidden;
    flex: 3;
}

.eventsInfo--item--info {
    flex: 4;
}

.eventsInfo--item--img img {
    object-fit: cover;
    
}

.eventsInfo--item--title {
    font-size: 1.4rem;
    margin-bottom: 1rem;
    color: var(--black-1);
}

.eventsInfo--item--text {
    font-size: 1.4rem;
    color: var(--black-2);
}

.eventsInfo--right {
    margin-top: 2rem;
}

.eventsInfo--title {
    font-size: 1.8rem;
    color: var(--black-1);
    margin-bottom: 1rem;
}

.eventsInfo--text {
    color: var(--black-2);
    font-size: 1.4rem;
    margin-bottom: 1rem;

}

/* large device media query */
@media only screen and (min-width: 760px) {
    .eventsInfo--wrapper {
        flex-direction: row;
        gap: 2rem;
    }
    .eventsInfo--left,
    .eventsInfo--right {
        flex: 1;
    }
    .eventsInfo--item {
        padding: 2rem;
        gap: 2rem;
        max-width: 500px;
        margin-bottom: 2rem;
    }
    .eventsInfo--item--title {
        font-size: 1.8rem;
    }
    .eventsInfo--item--text {
        font-size: 1.6rem;
    }
    .eventsInfo--title {
        font-size: 3.6rem;
    }
    .eventsInfo--text {
        max-width: 500px;
        font-size: 1.8rem;
        margin-bottom: 2rem;

    }

}
/*  End Events Info section style */

/* Starts WhyUs section styles  */
.whyUs--wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 4rem;
}

.whyUs--left {
    text-align: center;
}

.whyUs--title {
    font-family: Poppins;
    font-size: 1.8rem;
    color: var(--black-1);
    font-weight: 500;
    margin-bottom: 1rem;
}

.whyUs--text {
    font-size: 1.4rem;
}

.whyUs--right {
    text-align: center;
}

.whyUs--items--wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
}

.whyUs--item {
    background: var(--lightGreen-1);
    padding: 2rem;
    border-radius: 12px;
}

.whyUs--item--icon {
    max-width: 56px;
    margin: 0 auto;
    margin-bottom: 1rem;
}

.whyUs--item--text {
    font-family: Poppins;
    font-size: 1.4rem;
    font-weight: 500;
    color: var(--black-1);
}

/* Media query large device */
@media only screen and (min-width: 768px) {
    .whyUs--wrapper {
        flex-direction: row;
        max-width: 900px;
        margin: 0 auto;
    }
    .whyUs--left {
        flex: 4;
        text-align: left;
    }
    .whyUs--right {
        flex: 3;
    }
    .whyUs--title {
        font-size: 3.6rem;
        margin-bottom: 2rem;
    }
    .whyUs--text {
        font-size: 1.8rem;
        line-height: 1.4em;
    }
    .whyUs--items--wrapper {
        gap: 1.5rem;
    }
    .whyUs--item {
        padding: 2rem;
    }
    .whyUs--item--icon {
        max-width: 65px;
        margin-bottom: 1.5rem;
    }
    .whyUs--item--text {
        font-size: 1.8rem;
    }
}
/* Ends WhyUs section styles  */

/* Start testimonial section styles  */
.testimonial--wrapper {
    max-width: 400px;
    margin: 0 auto;
}

.testimonial--title {
    font-size: 1.8rem;
    margin-bottom: 3rem;
    text-align: center;
    text-transform: capitalize;
    color: var(--black-1);
}

.testimonial--items--wrapper {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
}

.testimonial--item {
    padding: 1rem;
    display: flex;
    gap: 1rem;
    background-color: var(--lightGreen-1);
    border-radius: 12px;
}

.testimonial--item--info {
    flex: 4;
}

.testimonial--item--img {
    flex: 2;
    border-radius: 12px;
    overflow: hidden;
    height: 100%;
    width: 100%;
}

.testimonial--item--img img {
    object-fit: cover;
}

.testimonial--item--name {
    font-size: 1.4rem;
    font-family: Poppins;
    margin-bottom: 1rem;
}

.testimonial--item--stars {
    max-height: 15px;
    width: max-content;
    margin-bottom: 1.5rem;
}

.testimonial--item--text {
    font-size: 1.4rem;
}

/* media query */
@media only screen and (min-width:768px) {
    .testimonial--wrapper {
        max-width: 900px;
    }
    .testimonial--title {
        font-size: 3.6rem;
        margin-bottom: 5rem;
    }
    .testimonial--items--wrapper {
        grid-template-columns: 1fr 1fr;
        gap: 2rem;
    }
    .testimonial--item {
        padding: 2rem;
    }
    .testimonial--item--name {
        font-size: 1.8rem;
        margin-bottom: 1.5rem;
    }
    .testimonial--item--stars {
        margin-bottom: 2rem;
    }
    .testimonial--item--text {
        font-size: 1.6rem;
        line-height: 1.4em;
    }
}

/* Media query extra small device */
@media only screen and (max-width: 350px) {
    .testimonial--item {
        flex-direction: column;
    }
    .testimonial--item--img,
    .testimonial--item--info{
        flex: auto;
    }
}
/* Ends testimonial section styles  */

/* Start Newsletter section styles */
.newsletter--wrapper {
    display: flex;
    flex-direction: column;
    background-color: var(--green-2);
    padding: 1.5rem;
    border-radius: 8px;
    gap: 2rem;
}

.newsletter--title {
    font-size: 1.8rem;
    color: var(--black-1);
    font-weight: 600;
    margin-bottom: 1.3rem;
}

.newsletter--text {
    font-size: 1.4rem;
    color: var(--black-2);
    font-weight: 500;
}

.newsletter--form form {
    position: relative;
    width: 100%;
    border-radius: 8px;
    overflow: hidden;
}

.newsletter--form label {
    width: 100%;
}

.newsletter--form input {
    width: 100%;
    font-size: 1.4rem;
    padding: 1.5rem 1rem;
    border: none;
}

.newsletter--form input::placeholder {
    color: rgb(168, 166, 166);
}

.newsletter--form button[type="submit"] {
    background-color: var(--green-1);
    color: var(--white-1);
    border: none;
    font-size: 1.4rem;
    padding: 0 2rem;
    height: 100%;
    position: absolute;
    right: 0;
    top: 0;
}

/* Media query large device */
@media only screen and (min-width: 768px) {
    .newsletter--wrapper {
        flex-direction: row;
        padding: 5rem;
        align-items: center;
    }
    .newsletter--form,
    .newsletter--info {
        flex: 1;
    }

    .newsletter--title {
        font-size: 3.6rem;
        margin-bottom: 2rem;
    }

    .newsletter--text {
        font-size: 1.8rem;
        max-width: 400px;
    }

    .newsletter--form {
        max-width: 450px;
        border-radius: 12px;
    }

    .newsletter--form input {
        font-size: 1.8rem;
        padding: 2rem;
    }

    .newsletter--form button[type='submit'] {
        font-size: 1.8rem;
        padding: 0 3rem;
    }
}
/* End Newsletter section styles */
